﻿Public Class frmMain
    Private Sub linkLabel1_LinkClicked( _
        ByVal sender As System.Object, _
        ByVal e As System.Windows.Forms.LinkLabelLinkClickedEventArgs) _
        Handles linkLabel1.LinkClicked

        System.Diagnostics.Process.Start( _
            "http://de.wikibooks.org/wiki/Websiteentwicklung:_XSLT")
    End Sub

    Private Sub LinkLabel2_LinkClicked( _
        ByVal sender As System.Object, _
        ByVal e As System.Windows.Forms.LinkLabelLinkClickedEventArgs) _
        Handles LinkLabel2.LinkClicked

        If My.Computer.FileSystem.FileExists("index.xml") Then
            Diagnostics.Process.Start(IO.Path.GetFullPath("index.xml"))
        End If
    End Sub

    Private Sub button2_Click(ByVal sender As System.Object, _
        ByVal e As System.EventArgs) Handles button2.Click

        Application.Exit()
    End Sub

    Private Sub button1_Click(ByVal sender As System.Object, _
        ByVal e As System.EventArgs) Handles button1.Click

        ' Ausgaben schreiben
        My.Computer.FileSystem.WriteAllText("index.xml", txtXML.Text, False)
        My.Computer.FileSystem.WriteAllText("adressen.xsl", _
            txtStyle.Text, False)

        ' Hier der Kern der Transformation
        ' Neuen Transformator laden
        With New System.Xml.Xsl.XslCompiledTransform
            ' Stylesheet laden
            .Load("adressen.xsl")

            ' Transformation von index.xml => index.html durchführen
            .Transform("index.xml", "index.html")
        End With

        ' Anzeigen des HTML-Ergebnisses
        WebBrowser.Navigate(IO.Path.GetFullPath("index.html"))
    End Sub
End Class
